;;    (      )
;;   old2new
;;      
;;    (        )
(defun c:old2new()
    (setq basept '(123434.432 4234324.434))    ;    
    (setq endpt '(323434.432 5234324.434))    ;  
    (setq scale 0.0000132)                ; 
    (setq rotateang 1.20)                ;    (.)
    ;===============================
    (setq obj (ssget)) ;  
    (setq point (getpoint)) ;   
    (setq baseline (distance basept point)) ;       
    (setq offsetlen (* scale baseline));   
    (setq ang (angle basept point));    
    (setq scaleoffset  (polar basept ang offsetlen));    
    (vl-load-com)
    (setvar 'cmdecho 0)
    (setq adoc (vla-get-activedocument (vlax-get-acad-object)))
    (vla-startundomark adoc) ;   
    (command "._MOVE" obj "" basept scaleoffset "")
    (command "_ROTATE" obj "" basept rotateang "")
    (command "._MOVE" obj "" basept endpt "")
    (vla-endundomark adoc);   
    (setvar 'cmdecho 1)
    (princ)
)







